.wp-site-blocks {
    display: flex;
    flex-direction: column;
    min-height: 100vh;
}

:where(.wp-site-blocks) > .site-content {
    flex: 1;
    margin-block-start: 0;
}

:where(.wp-site-blocks) > .site-footer {
    margin-block-start: 0;
}

.site-header.stuck {
    position: fixed;
    top: 0;
    z-index: 1000;
    width: 100%;
    box-shadow: 1px 1px 40px -20px var(--wp--preset--color--neutral);
    background: rgba(255,255,255, 0.925);
    backdrop-filter: blur(6px);
}
